---
deprecated: true
search:
  tags:
    - Collections
    - GET
seo:
  description: >-
    Deprecated: Use the Collections V2 API. Retrieves paginated… Reference for
    the GET /api/v1/{team_slug}/{app_slug}/collections endpoint in the
    Management API.
sidebar:
  label: List all collections
  badge: GET
title: List all collections
type: openapi-operation
---
Deprecated: Use the Collections V2 API. Retrieves paginated list of collections with translations and redirects. Supports search filtering and pagination.

`GET /api/v1/{team_slug}/{app_slug}/collections`

**Deprecated.**

**Responses**

- `200` — All collections for the app
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "children": [
        {}
      ],
      "created_at": "string",
      "id": "string",
      "parent_id": "string",
      "redirects": [
        {
          "id": "string",
          "item_id": "string",
          "locale": "string",
          "new_slug": "string",
          "old_slug": "string",
          "type": "product"
        }
      ],
      "slug": "string",
      "status": "active",
      "title": "string",
      "translations": {
        "slug": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "title": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "string",
      "uri": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
